## knotifications 5.92.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.92.0") # handled by release scripts
set(KF_DEP_VERSION "5.92.0") # handled by release scripts
project(KNotifications VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 5.92.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)


include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMPoQmTools)
include(ECMAddQch)
include(ECMGenerateExportHeader)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
  VARIABLE_PREFIX KNOTIFICATIONS
  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/knotifications_version.h"
  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5NotificationsConfigVersion.cmake"

                        SOVERSION 5)

# Dependencies
set(REQUIRED_QT_VERSION 5.15.2)
set(CMAKE_AUTORCC TRUE)

if (ANDROID)
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui)
    if (QT_MAJOR_VERSION EQUAL "5")
        find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED AndroidExtras)
    endif()
    find_package(Gradle REQUIRED)
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} QUIET OPTIONAL_COMPONENTS Widgets)
    if (NOT TARGET Qt${QT_MAJOR_VERSION}::Widgets AND EXCLUDE_DEPRECATED_BEFORE_AND_AT EQUAL 0)
        set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 5.79.0)
    endif()
else()
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Widgets)
endif()

if (NOT ANDROID AND NOT WIN32)
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
endif()

find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} QUIET OPTIONAL_COMPONENTS Qml)

# QTextToSpeech doesn't exist in Qt 6.2
if (QT_MAJOR_VERSION STREQUAL "5")
    find_package(Qt5 ${REQUIRED_QT_VERSION} QUIET OPTIONAL_COMPONENTS TextToSpeech)
    set_package_properties(Qt5TextToSpeech PROPERTIES
    DESCRIPTION "Qt text to speech module"
    TYPE OPTIONAL
    PURPOSE "Required to build text to speech notification support")
    if (TARGET Qt5::TextToSpeech)
        add_definitions(-DHAVE_SPEECH)
    endif()
endif()

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(KDEGitCommitHooks)

if (NOT APPLE AND NOT WIN32)
    find_package(X11)
endif()

set(HAVE_X11 ${X11_FOUND})
set(HAVE_XTEST ${X11_XTest_FOUND})
if(X11_FOUND)
    if (QT_MAJOR_VERSION STREQUAL "5")
        find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED)
    elseif (QT_MAJOR_VERSION STREQUAL "6")
        find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui) # qtx11extras_p.h
    endif()
endif()
if(APPLE)
   find_package(Qt5MacExtras ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
endif()
if (WIN32)
    find_package(LibSnoreToast)
    find_package(Qt${QT_MAJOR_VERSION}Network REQUIRED)
    
    include(CMakeDependentOption)
    cmake_dependent_option(WITH_SNORETOAST "for the Windows Toast Notifications" ON
                           "Qt${QT_MAJOR_VERSION}Network_FOUND;LibSnoreToast_FOUND" OFF
    )    
endif()

set(HAVE_KWINDOWSYSTEM FALSE)
if(NOT ANDROID)
    find_package(KF5WindowSystem ${KF_DEP_VERSION} REQUIRED)
    set(HAVE_KWINDOWSYSTEM TRUE)
endif()

find_package(KF5Config ${KF_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF_DEP_VERSION} REQUIRED)

if (NOT ANDROID AND NOT WIN32 OR (WIN32 AND NOT WITH_SNORETOAST))
    find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
    find_package(Canberra)
    set_package_properties(Canberra PROPERTIES
        PURPOSE "Needed to build audio notification support"
        TYPE OPTIONAL)
    if (Canberra_FOUND)
        add_definitions(-DHAVE_CANBERRA)
    else()
        # This is REQUIRED since you cannot tell CMake "either one of those two optional ones are required"
        find_package(Phonon4Qt5 4.6.60 NO_MODULE REQUIRED)
        set_package_properties(Phonon4Qt5 PROPERTIES
            DESCRIPTION "Qt-based audio library"
            PURPOSE "Needed to build audio notification support when Canberra isn't available")
        add_definitions(-DHAVE_PHONON4QT5)
    endif()
endif()

set(HAVE_DBUS FALSE)
# dbusmenu-qt5 needs to be built with Qt6 first
if (TARGET Qt5::DBus)
    find_package(dbusmenu-qt5 CONFIG)
    set_package_properties(dbusmenu-qt5 PROPERTIES DESCRIPTION "DBusMenuQt"
                            URL "https://launchpad.net/libdbusmenu-qt" TYPE OPTIONAL
                            PURPOSE "Support for notification area menus via the DBusMenu protocol")

    set(HAVE_DBUS TRUE)
endif()
set(HAVE_WIDGETS FALSE)
if (TARGET Qt${QT_MAJOR_VERSION}::Widgets)
    set(HAVE_WIDGETS TRUE)
endif()

remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
ecm_install_po_files_as_qm(po)
if (NOT APPLE) # QtMac::setBadgeLabelText is deprecated
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
endif()
add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
    add_subdirectory(examples)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Notifications")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Notifications_QCH
        FILE KF5NotificationsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5NotificationsQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5NotificationsConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NotificationsConfig.cmake"
  PATH_VARS KDE_INSTALL_DBUSINTERFACEDIR
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NotificationsConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5NotificationsConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5NotificationsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5NotificationsTargets.cmake NAMESPACE KF5:: )

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/knotifications_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KNotifications COMPONENT Devel
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
add_library(KF5Notifications)
add_library(KF5::Notifications ALIAS KF5Notifications)

ecm_create_qm_loader(KF5Notifications knotifications5_qt)

target_sources(KF5Notifications PRIVATE
  knotification.cpp
  knotificationreplyaction.cpp
  knotificationmanager.cpp
  kpassivepopup.cpp

  knotifyconfig.cpp
  knotificationplugin.cpp
  knotificationjobuidelegate.cpp
  notifybylogfile.cpp
)

if (NOT ANDROID)
    target_sources(KF5Notifications PRIVATE
        notifybyexecute.cpp
        notifybytaskbar.cpp
        kstatusnotifieritem.cpp)
endif()

if (TARGET Qt${QT_MAJOR_VERSION}::DBus)
  target_sources(KF5Notifications PRIVATE
    kstatusnotifieritemdbus_p.cpp
    knotificationrestrictions.cpp

    imageconverter.cpp #needed to marshal images for sending over dbus by NotifyByPopup
    notifybypopup.cpp
    notifybyportal.cpp
  )
endif()

if (ANDROID)
    add_subdirectory(android)
    target_sources(KF5Notifications PRIVATE
        notifybyandroid.cpp
        knotifications.qrc
    )
endif()

if (WITH_SNORETOAST)
    target_sources(KF5Notifications PRIVATE notifybysnore.cpp)
endif ()

if (APPLE)
    target_sources(KF5Notifications PRIVATE notifybymacosnotificationcenter.mm)
endif()

ecm_qt_declare_logging_category(KF5Notifications
    HEADER debug_p.h
    IDENTIFIER LOG_KNOTIFICATIONS
    CATEGORY_NAME kf.notifications
    OLD_CATEGORY_NAMES org.kde.knotifications
    DESCRIPTION "KNotifications"
    EXPORT KNOTIFICATIONS
)

if (Canberra_FOUND)
    target_sources(KF5Notifications PRIVATE
        notifybyaudio_canberra.cpp
    )
elseif (Phonon4Qt5_FOUND)
    target_sources(KF5Notifications PRIVATE
        notifybyaudio_phonon.cpp
    )
endif()

if (Qt5TextToSpeech_FOUND)
    target_sources(KF5Notifications PRIVATE
        notifybytts.cpp
    )
endif()

if (TARGET Qt${QT_MAJOR_VERSION}::DBus)
  if (dbusmenu-qt5_FOUND)
    message("dbusmenu-qt5_FOUND")
    set(HAVE_DBUSMENUQT 1)
    target_include_directories(KF5Notifications PRIVATE ${dbusmenu-qt5_INCLUDE_DIRS})
  else()
    set(HAVE_DBUSMENUQT 0)
  endif()

  set(knotifications_dbus_SRCS)
  qt_add_dbus_adaptor(knotifications_dbus_SRCS     org.kde.StatusNotifierItem.xml
                    kstatusnotifieritemdbus_p.h KStatusNotifierItemDBus)


  set(statusnotifierwatcher_xml org.kde.StatusNotifierWatcher.xml)
  qt_add_dbus_interface(knotifications_dbus_SRCS ${statusnotifierwatcher_xml} statusnotifierwatcher_interface)
  set(notifications_xml org.freedesktop.Notifications.xml)
  qt_add_dbus_interface(knotifications_dbus_SRCS ${notifications_xml} notifications_interface)
  target_sources(KF5Notifications PRIVATE ${knotifications_dbus_SRCS})
endif()

configure_file(config-knotifications.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-knotifications.h )

ecm_generate_export_header(KF5Notifications
    EXPORT_FILE_NAME knotifications_export.h
    BASE_NAME KNotifications
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 5.67 5.75 5.76 5.79
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_include_directories(KF5Notifications INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KNotifications>")

target_link_libraries(KF5Notifications PUBLIC Qt${QT_MAJOR_VERSION}::Gui)
if (TARGET Qt${QT_MAJOR_VERSION}::Widgets)
    target_link_libraries(KF5Notifications PUBLIC Qt${QT_MAJOR_VERSION}::Widgets)
endif()
if (TARGET Qt${QT_MAJOR_VERSION}::DBus)
   target_link_libraries(KF5Notifications PUBLIC Qt${QT_MAJOR_VERSION}::DBus)
endif()
target_link_libraries(KF5Notifications PRIVATE
   KF5::CoreAddons
   KF5::ConfigCore
)

if (TARGET KF5::WindowSystem)
    target_link_libraries(KF5Notifications PRIVATE KF5::WindowSystem)
endif()

if (TARGET SnoreToast::SnoreToastActions)
  target_link_libraries(KF5Notifications PRIVATE Qt${QT_MAJOR_VERSION}::Network SnoreToast::SnoreToastActions)
endif ()

if (Phonon4Qt5_FOUND)
    target_link_libraries(KF5Notifications PRIVATE
        Phonon::phonon4qt5)
endif()

if (Canberra_FOUND)
    target_link_libraries(KF5Notifications PRIVATE
        Canberra::Canberra)
endif()

if (Qt5TextToSpeech_FOUND)
    target_link_libraries(KF5Notifications PRIVATE Qt5::TextToSpeech)
endif()

if(X11_FOUND)
   target_link_libraries(KF5Notifications PRIVATE ${X11_X11_LIB})
    if (TARGET Qt5::X11Extras)
        target_link_libraries(KF5Notifications PRIVATE Qt5::X11Extras)
    elseif (TARGET Qt6::Gui)
        target_link_libraries(KF5Notifications PRIVATE Qt6::GuiPrivate) # qtx11extras_p.h
    endif()
endif()

if(APPLE)
  target_link_libraries(KF5Notifications PRIVATE Qt5::MacExtras "-framework Foundation" "-framework AppKit")
endif()

if(X11_XTest_FOUND)
  target_link_libraries(KF5Notifications PRIVATE ${X11_XTest_LIB})
endif()

if(HAVE_DBUSMENUQT)
  target_link_libraries(KF5Notifications PRIVATE dbusmenu-qt5)
endif()

if (TARGET Qt5::AndroidExtras)
    target_link_libraries(KF5Notifications PRIVATE Qt5::AndroidExtras)
endif()

set_target_properties(KF5Notifications PROPERTIES VERSION   ${KNOTIFICATIONS_VERSION}
                                                  SOVERSION ${KNOTIFICATIONS_SOVERSION}
                                                  EXPORT_NAME Notifications
)

ecm_generate_headers(KNotifications_HEADERS
  HEADER_NAMES
  KNotification
  KPassivePopup
  KStatusNotifierItem
  KNotificationJobUiDelegate
  KNotificationReplyAction
  KNotificationRestrictions
  KNotificationPlugin
  KNotifyConfig

  REQUIRED_HEADERS KNotifications_HEADERS
)

install(TARGETS KF5Notifications EXPORT KF5NotificationsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/knotifications_export.h
  ${KNotifications_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KNotifications COMPONENT Devel
)

ecm_qt_install_logging_categories(
    EXPORT KNOTIFICATIONS
    FILE knotifications.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5Notifications_QCH
        NAME KNotifications
        BASE_NAME KF5Notifications
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KNotifications_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KNOTIFICATIONS_EXPORT
            KNOTIFICATIONS_DEPRECATED
            KNOTIFICATIONS_DEPRECATED_EXPORT
            "KNOTIFICATIONS_DEPRECATED_VERSION(x, y, t)"
            "KNOTIFICATIONS_DEPRECATED_VERSION_BELATED(x, y, xt, yt, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

if (TARGET Qt${QT_MAJOR_VERSION}::DBus)
    install(FILES
        org.kde.StatusNotifierItem.xml
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
        RENAME kf5_org.kde.StatusNotifierItem.xml)

    install(FILES
        org.kde.StatusNotifierWatcher.xml
        DESTINATION ${KDE_INSTALL_DBUSINTERFACEDIR}
        RENAME kf5_org.kde.StatusNotifierWatcher.xml)
endif()

if (NOT ANDROID)
    install(FILES
        knotificationplugin.desktop
        DESTINATION ${KDE_INSTALL_KSERVICETYPESDIR})
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KNotifications LIB_NAME KF5Notifications DEPS "widgets" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KNotifications)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

if (ANDROID)
    install(FILES KF5Notifications-android-dependencies.xml
        DESTINATION ${KDE_INSTALL_LIBDIR}
        RENAME KF5Notifications_${CMAKE_ANDROID_ARCH_ABI}-android-dependencies.xml
    )
endif()

if (TARGET Qt${QT_MAJOR_VERSION}::Qml)
    add_subdirectory(qml)
endif()

=== debian/changelog ===
knotifications (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:28:05 +0000

knotifications (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:09:18 +0000

knotifications (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:48:16 +0000

knotifications (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:17:06 +0000

knotifications (5.88.0-2ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - Keep our symbols file.
    - Correctly name the qml module package.
    - libkf5notifications-data B/R libkf5notifications5 (<< 5.77.0-2~)
    - Build depend on optional libcanberra-dev 'Needed to build audio
      notification support'.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 11:25:54 +0000

knotifications (5.88.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:41 +0900

knotifications (5.88.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Add qml module package.
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Nov 2021 09:20:50 +0900

knotifications (5.88.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.88.0)
  * New package qml-module-org-kde-notification
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Nov 2021 18:19:46 +0000

knotifications (5.87.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.87.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 11 Nov 2021 11:06:42 +0000

knotifications (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:58:26 +0900

knotifications (5.85.0-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:48 +0900

knotifications (5.85.0-2) experimental; urgency=medium

  * Team upload.
  * Merge changes from 5.83.0-2, and 5.83.0-3.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Fri, 20 Aug 2021 15:45:11 +0200

knotifications (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:04:45 +0900

knotifications (5.83.0-3) unstable; urgency=medium

  * Team upload.
  * Add -DQT_WIDGETS_LIB to the gcc arguments for the 'acc' autopkgtest;
    apparently upstream decided to break kpassivepopup.h for the sake of
    Android, so a local fix will be for now.
  * Bump Standards-Version to 4.6.0, no changes required.
  * Simplify the dh_auto_test execution with debhelper compat 13 features:
    - stop creating an own temporary directory for $HOME, as dh does it
    - stop checking nocheck in DEB_BUILD_OPTIONS, as dh will entirely avoid
      dh_auto_test in that case

 -- Pino Toscano <pino@debian.org>  Fri, 20 Aug 2021 15:12:32 +0200

knotifications (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:07 +0900

knotifications (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 13:25:32 +0900

knotifications (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:16:37 +0900

knotifications (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:20 +0900

knotifications (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:35 +0900

knotifications (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:29 +0900

=== debian/control ===
Source: knotifications
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               dbus-x11 <!nocheck>,
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.92.0~),
               libcanberra-dev,
               libdbusmenu-qt5-dev,
               libkf5config-dev (>= 5.92.0~),
               libkf5coreaddons-dev (>= 5.92.0~),
               libkf5windowsystem-dev (>= 5.92.0~),
               libphonon4qt5-dev (>= 4.6.60~),
               libphonon4qt5experimental-dev,
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               libqt5x11extras5-dev (>= 5.15.2~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/knotifications
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifications
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifications
Rules-Requires-Root: no

Package: libkf5notifications-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5notifications5 (<< 5.77.0-2~)
Replaces: libkf5notifications5 (<< 5.77.0-2~)
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the translations.

Package: libkf5notifications-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.92.0~),
         libkf5coreaddons-dev (>= 5.92.0~),
         libkf5notifications5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.92.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Breaks: libkf5kdelibs4support-dev (<< 5.54),
        libkf5khtml-dev (<< 5.54),
        libkf5parts-dev (<< 5.54),
Recommends: libkf5notifications-doc (= ${source:Version})
Multi-Arch: same
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 Contains debug symbols for KNotifications.

Package: libkf5notifications-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5notifications5
Architecture: any
Multi-Arch: same
Depends: libkf5notifications-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: frameworkintegration (<< 5.54),
        kio (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml5 (<< 5.54),
        libkf5plasma5 (<< 5.54),
        libkf5wallet-bin (<< 5.54),
        libkwalletbackend5-5 (<< 5.54),
        plasma-framework (<< 5.54),
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.

Package: qml-module-org-kde-notification
Architecture: any
Multi-Arch: same
Depends: libkf5notifications5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the QML module.

## knotifications 5.98.0

=== debian/changelog ===
knotifications (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:32:59 +0100

knotifications (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:05:18 +0100

knotifications (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:31:03 +0100

knotifications (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:56:46 +0100

knotifications (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:20:31 +0100

knotifications (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:23:55 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
                dbus-x11 <!nocheck>,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
                libcanberra-dev,
                libdbusmenu-qt5-dev,
-               libkf5config-dev (>= 5.92.0~),
-               libkf5coreaddons-dev (>= 5.92.0~),
-               libkf5windowsystem-dev (>= 5.92.0~),
+               libkf5config-dev (>= 5.98.0~),
+               libkf5coreaddons-dev (>= 5.98.0~),
+               libkf5windowsystem-dev (>= 5.98.0~),
                libphonon4qt5-dev (>= 4.6.60~),
                libphonon4qt5experimental-dev,
                libqt5sql5-sqlite,
@@ -47,10 +47,10 @@
 Package: libkf5notifications-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5config-dev (>= 5.92.0~),
-         libkf5coreaddons-dev (>= 5.92.0~),
+Depends: libkf5config-dev (>= 5.98.0~),
+         libkf5coreaddons-dev (>= 5.98.0~),
          libkf5notifications5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.92.0~),
+         libkf5windowsystem-dev (>= 5.98.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Breaks: libkf5kdelibs4support-dev (<< 5.54),

## knotifications 5.103.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,22 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.92.0") # handled by release scripts
-set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+set(KF_VERSION "5.103.0") # handled by release scripts
+set(KF_DEP_VERSION "5.103.0") # handled by release scripts
 project(KNotifications VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 5.92.0  NO_MODULE)
+find_package(ECM 5.103.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 
+include(KDEInstallDirs)
+include(KDECMakeSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 
+include(KDEGitCommitHooks)
 include(GenerateExportHeader)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
@@ -20,6 +24,7 @@
 include(ECMPoQmTools)
 include(ECMAddQch)
 include(ECMGenerateExportHeader)
+include(ECMDeprecationSettings)
 
 set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")
 
@@ -55,38 +60,29 @@
     find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
 endif()
 
-find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} QUIET OPTIONAL_COMPONENTS Qml)
+find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} QUIET OPTIONAL_COMPONENTS Qml TextToSpeech)
 
-# QTextToSpeech doesn't exist in Qt 6.2
-if (QT_MAJOR_VERSION STREQUAL "5")
-    find_package(Qt5 ${REQUIRED_QT_VERSION} QUIET OPTIONAL_COMPONENTS TextToSpeech)
-    set_package_properties(Qt5TextToSpeech PROPERTIES
+find_package(Qt${QT_MAJOR_VERSION}TextToSpeech ${REQUIRED_QT_VERSION} QUIET CONFIG)
+set_package_properties(Qt${QT_MAJOR_VERSION}TextToSpeech PROPERTIES
     DESCRIPTION "Qt text to speech module"
     TYPE OPTIONAL
     PURPOSE "Required to build text to speech notification support")
-    if (TARGET Qt5::TextToSpeech)
-        add_definitions(-DHAVE_SPEECH)
+if (TARGET Qt${QT_MAJOR_VERSION}::TextToSpeech)
+    add_definitions(-DHAVE_SPEECH)
+endif()
+
+if (NOT APPLE AND NOT WIN32)
+    option(WITHOUT_X11 "Build without X11 support (skips finding X11)." OFF)
+    if(NOT WITHOUT_X11)
+        find_package(X11)
+        set(HAVE_X11 ${X11_FOUND})
+        set(HAVE_XTEST ${X11_XTest_FOUND})
+        if(X11_FOUND AND QT_MAJOR_VERSION STREQUAL "5")
+            find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED)
+        endif()
     endif()
 endif()
 
-include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
-include(KDECMakeSettings)
-include(KDEGitCommitHooks)
-
-if (NOT APPLE AND NOT WIN32)
-    find_package(X11)
-endif()
-
-set(HAVE_X11 ${X11_FOUND})
-set(HAVE_XTEST ${X11_XTest_FOUND})
-if(X11_FOUND)
-    if (QT_MAJOR_VERSION STREQUAL "5")
-        find_package(Qt5X11Extras ${REQUIRED_QT_VERSION} NO_MODULE REQUIRED)
-    elseif (QT_MAJOR_VERSION STREQUAL "6")
-        find_package(Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui) # qtx11extras_p.h
-    endif()
-endif()
 if(APPLE)
    find_package(Qt5MacExtras ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 endif()
@@ -143,11 +139,14 @@
 endif()
 
 remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
-ecm_install_po_files_as_qm(po)
+
+ecm_install_po_files_as_qm(poqm)
+
 if (NOT APPLE) # QtMac::setBadgeLabelText is deprecated
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050f02)
+ecm_set_disabled_deprecation_versions(QT 5.15.2)
 endif()
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
+ecm_set_disabled_deprecation_versions(KF 5.97)
+
 add_subdirectory(src)
 if (BUILD_TESTING)
     add_subdirectory(tests)

=== autotests/CMakeLists.txt ===
include(ECMAddTests)

find_package(Qt${QT_MAJOR_VERSION}Test ${REQUIRED_QT_VERSION} CONFIG QUIET)

if(NOT TARGET Qt${QT_MAJOR_VERSION}::Test)
    message(STATUS "Qt${QT_MAJOR_VERSION}Test not found, autotests will not be built.")
    return()
endif()

#if (TARGET Qt${QT_MAJOR_VERSION}::DBus)
#    set(KNotificationTest_SRCS knotification_test.cpp fake_notifications_server.cpp)
#    ecm_add_test(${KNotificationTest_SRCS} TEST_NAME "KNotificationTest" LINK_LIBRARIES Qt${QT_MAJOR_VERSION}::Test Qt${QT_MAJOR_VERSION}::DBus KF5::Notifications)
#endif()

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -68,7 +68,7 @@
     )
 endif()
 
-if (Qt5TextToSpeech_FOUND)
+if (Qt${QT_MAJOR_VERSION}TextToSpeech_FOUND)
     target_sources(KF5Notifications PRIVATE
         notifybytts.cpp
     )
@@ -139,16 +139,14 @@
         Canberra::Canberra)
 endif()
 
-if (Qt5TextToSpeech_FOUND)
-    target_link_libraries(KF5Notifications PRIVATE Qt5::TextToSpeech)
-endif()
-
-if(X11_FOUND)
+if (Qt${QT_MAJOR_VERSION}TextToSpeech_FOUND)
+    target_link_libraries(KF5Notifications PRIVATE Qt${QT_MAJOR_VERSION}::TextToSpeech)
+endif()
+
+if(HAVE_X11)
    target_link_libraries(KF5Notifications PRIVATE ${X11_X11_LIB})
     if (TARGET Qt5::X11Extras)
         target_link_libraries(KF5Notifications PRIVATE Qt5::X11Extras)
-    elseif (TARGET Qt6::Gui)
-        target_link_libraries(KF5Notifications PRIVATE Qt6::GuiPrivate) # qtx11extras_p.h
     endif()
 endif()
 
@@ -187,7 +185,7 @@
   REQUIRED_HEADERS KNotifications_HEADERS
 )
 
-install(TARGETS KF5Notifications EXPORT KF5NotificationsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS KF5Notifications EXPORT KF5NotificationsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
 
 install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/knotifications_export.h
@@ -210,7 +208,7 @@
         ORG_DOMAIN org.kde
         SOURCES # using only public headers, to cover only public API
             ${KNotifications_HEADERS}
-        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
+            "${CMAKE_SOURCE_DIR}/Mainpage.dox"
         IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
         LINK_QCHS
             Qt5Widgets_QCH
@@ -240,12 +238,6 @@
         RENAME kf5_org.kde.StatusNotifierWatcher.xml)
 endif()
 
-if (NOT ANDROID)
-    install(FILES
-        knotificationplugin.desktop
-        DESTINATION ${KDE_INSTALL_KSERVICETYPESDIR})
-endif()
-
 include(ECMGeneratePriFile)
 ecm_generate_pri_file(BASE_NAME KNotifications LIB_NAME KF5Notifications DEPS "widgets" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KNotifications)
 install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== src/android/CMakeLists.txt ===
gradle_add_aar(knotifications_aar BUILDFILE ${CMAKE_CURRENT_SOURCE_DIR}/build.gradle NAME KF5Notifications)
gradle_install_aar(knotifications_aar DESTINATION jar)

=== debian/changelog ===
knotifications (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:27 +0100

knotifications (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:05 +0100

knotifications (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.
  * Update symbols from build for 5.101.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:28 +0100

knotifications (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:00 +0100

knotifications (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:11:42 +0200

knotifications (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:34 +0200

knotifications (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:02 +0200

knotifications (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:04 +0200

knotifications (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.
  * Update symbols from build for 5.93.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:46 +0200

knotifications (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.
  * Update symbols from build for 5.90.0.
  * Replace Phonon build dependency with Canberra. (Closes: #1000549)

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:43 +0100

=== debian/control ===
Source: knotifications
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               dbus-x11 <!nocheck>,
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.103.0~),
               libcanberra-dev,
               libdbusmenu-qt5-dev,
               libkf5config-dev (>= 5.103.0~),
               libkf5coreaddons-dev (>= 5.103.0~),
               libkf5windowsystem-dev (>= 5.103.0~),
               libphonon4qt5-dev (>= 4:4.6.60~),
               libqt5sql5-sqlite,
               libqt5texttospeech5-dev,
               libqt5x11extras5-dev (>= 5.15.2~),
               pkg-config,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.2~),
               qttools5-dev (>= 5.4),
               qttools5-dev-tools (>= 5.4),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/knotifications
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knotifications
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knotifications.git
Rules-Requires-Root: no

Package: libkf5notifications-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Breaks: libkf5notifications5 (<< 5.74),
Replaces: libkf5notifications5 (<< 5.74),
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the translations.

Package: libkf5notifications-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.103.0~),
         libkf5coreaddons-dev (>= 5.103.0~),
         libkf5notifications5 (= ${binary:Version}),
         libkf5windowsystem-dev (>= 5.103.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Breaks: libkf5kdelibs4support-dev (<< 5.54),
        libkf5khtml-dev (<< 5.54),
        libkf5parts-dev (<< 5.54),
Recommends: libkf5notifications-doc (= ${source:Version}),
Multi-Arch: same
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 Contains debug symbols for KNotifications.

Package: libkf5notifications-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5notifications5
Architecture: any
Multi-Arch: same
Depends: libkf5notifications-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: frameworkintegration (<< 5.54),
        kio (<< 5.54),
        libkf5kdelibs4support5 (<< 5.54),
        libkf5kdelibs4support5-bin (<< 5.42),
        libkf5khtml5 (<< 5.54),
        libkf5plasma5 (<< 5.54),
        libkf5wallet-bin (<< 5.54),
        libkwalletbackend5-5 (<< 5.54),
        plasma-framework (<< 5.54),
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.

Package: qml-module-org-kde-notifications
Depends: libkf5notifications5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Architecture: any
Multi-Arch: same
Description: Framework for desktop notifications
 KNotification is used to notify the user of an event. It covers
 feedback and persistent events.
 .
 This package contains the QML module.

## knotifications 5.104.0

=== debian/changelog ===
knotifications (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:17:31 +0000

knotifications (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:44:22 +0000

knotifications (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:57:58 +0000

knotifications (5.101.0-1ubuntu1) lunar; urgency=medium

  * Add back Kubuntu delta after sync:
    - Kubuntu Vcs and maintainer fields.
    - Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Wed, 14 Dec 2022 09:52:02 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: knotifications
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                dbus-x11 <!nocheck>,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.103.0~),
+               extra-cmake-modules (>= 5.104.0~),
                libcanberra-dev,
                libdbusmenu-qt5-dev,
-               libkf5config-dev (>= 5.103.0~),
-               libkf5coreaddons-dev (>= 5.103.0~),
-               libkf5windowsystem-dev (>= 5.103.0~),
+               libkf5config-dev (>= 5.104.0~),
+               libkf5coreaddons-dev (>= 5.104.0~),
+               libkf5windowsystem-dev (>= 5.104.0~),
                libphonon4qt5-dev (>= 4:4.6.60~),
                libqt5sql5-sqlite,
                libqt5texttospeech5-dev,
@@ -25,18 +26,18 @@
                qttools5-dev-tools (>= 5.4),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.6.1
 Homepage: https://invent.kde.org/frameworks/knotifications
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/knotifications
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/knotifications.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifications
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/knotifications
 Rules-Requires-Root: no
 
 Package: libkf5notifications-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Breaks: libkf5notifications5 (<< 5.74),
-Replaces: libkf5notifications5 (<< 5.74),
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5notifications5 (<< 5.74)
+Replaces: libkf5notifications5 (<< 5.74)
 Description: Framework for desktop notifications
  KNotification is used to notify the user of an event. It covers
  feedback and persistent events.
@@ -46,16 +47,16 @@
 Package: libkf5notifications-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5config-dev (>= 5.103.0~),
-         libkf5coreaddons-dev (>= 5.103.0~),
+Depends: libkf5config-dev (>= 5.104.0~),
+         libkf5coreaddons-dev (>= 5.104.0~),
          libkf5notifications5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.103.0~),
+         libkf5windowsystem-dev (>= 5.104.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Breaks: libkf5kdelibs4support-dev (<< 5.54),
         libkf5khtml-dev (<< 5.54),
         libkf5parts-dev (<< 5.54),
-Recommends: libkf5notifications-doc (= ${source:Version}),
+Recommends: libkf5notifications-doc (= ${source:Version})
 Multi-Arch: same
 Description: Framework for desktop notifications
  KNotification is used to notify the user of an event. It covers
@@ -66,7 +67,7 @@
 Package: libkf5notifications-doc
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Framework for desktop notifications
  KNotification is used to notify the user of an event. It covers
  feedback and persistent events.

## knotifications 5.109.0

=== debian/changelog ===
knotifications (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:50:16 +0100

knotifications (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:21:29 +0100

knotifications (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:06:31 +0100

knotifications (5.106.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.106.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:47:18 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
                dbus-x11 <!nocheck>,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.104.0~),
+               extra-cmake-modules (>= 5.109.0~),
                libcanberra-dev,
                libdbusmenu-qt5-dev,
-               libkf5config-dev (>= 5.104.0~),
-               libkf5coreaddons-dev (>= 5.104.0~),
-               libkf5windowsystem-dev (>= 5.104.0~),
+               libkf5config-dev (>= 5.109.0~),
+               libkf5coreaddons-dev (>= 5.109.0~),
+               libkf5windowsystem-dev (>= 5.109.0~),
                libphonon4qt5-dev (>= 4:4.6.60~),
                libqt5sql5-sqlite,
                libqt5texttospeech5-dev,
@@ -47,10 +47,10 @@
 Package: libkf5notifications-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5config-dev (>= 5.104.0~),
-         libkf5coreaddons-dev (>= 5.104.0~),
+Depends: libkf5config-dev (>= 5.109.0~),
+         libkf5coreaddons-dev (>= 5.109.0~),
          libkf5notifications5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.104.0~),
+         libkf5windowsystem-dev (>= 5.109.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Breaks: libkf5kdelibs4support-dev (<< 5.54),

## knotifications 5.110.0

=== debian/changelog ===
knotifications (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:09:00 +0100

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
                dbus-x11 <!nocheck>,
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
                libcanberra-dev,
                libdbusmenu-qt5-dev,
-               libkf5config-dev (>= 5.109.0~),
-               libkf5coreaddons-dev (>= 5.109.0~),
-               libkf5windowsystem-dev (>= 5.109.0~),
+               libkf5config-dev (>= 5.110.0~),
+               libkf5coreaddons-dev (>= 5.110.0~),
+               libkf5windowsystem-dev (>= 5.110.0~),
                libphonon4qt5-dev (>= 4:4.6.60~),
                libqt5sql5-sqlite,
                libqt5texttospeech5-dev,
@@ -47,10 +47,10 @@
 Package: libkf5notifications-dev
 Section: libdevel
 Architecture: any
-Depends: libkf5config-dev (>= 5.109.0~),
-         libkf5coreaddons-dev (>= 5.109.0~),
+Depends: libkf5config-dev (>= 5.110.0~),
+         libkf5coreaddons-dev (>= 5.110.0~),
          libkf5notifications5 (= ${binary:Version}),
-         libkf5windowsystem-dev (>= 5.109.0~),
+         libkf5windowsystem-dev (>= 5.110.0~),
          qtbase5-dev (>= 5.15.2~),
          ${misc:Depends},
 Breaks: libkf5kdelibs4support-dev (<< 5.54),
